Package ru.bitel.bgbilling.modules.botmanager.common.bean

# Class BotDialog

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.botmanager.common.bean.BotDialog

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class BotDialog
    extends IdTitle

Диалог с пользователем. (Представление одного окна) Сущность, которая содержит в себе список #`BotDialogElement` Хранит ссылку на диалог, который до неё был и который будет после

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BotDialog()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getCommand()` |
  `java.util.List<BotDialogElement>` | `getDialogElements()` |
  `java.util.Set<java.lang.Integer>` | `getGroups()` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `java.lang.String` | `getProcessingClass()` |
  `boolean` | `isOnlySignedUser()` |
  `void` | `setCommand​(java.lang.String command)` |
  `void` | `setDialogElements​(java.util.List<BotDialogElement> dialogElements)` |
  `void` | `setGroups​(java.util.Set<java.lang.Integer> groups)` |
  `void` | `setOnlySignedUser​(boolean onlySignedUser)` |
  `void` | `setProcessingClass​(java.lang.String processingClass)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### BotDialog

    public BotDialog()

- ## Method Details

  - ### getDialogElements

    public java.util.List<BotDialogElement> getDialogElements()

  - ### setDialogElements

    public void setDialogElements​(java.util.List<BotDialogElement> dialogElements)

  - ### getGroups

    public java.util.Set<java.lang.Integer> getGroups()

  - ### setGroups

    public void setGroups​(java.util.Set<java.lang.Integer> groups)

  - ### getProcessingClass

    public java.lang.String getProcessingClass()

  - ### setProcessingClass

    public void setProcessingClass​(java.lang.String processingClass)

  - ### isOnlySignedUser

    public boolean isOnlySignedUser()

  - ### setOnlySignedUser

    public void setOnlySignedUser​(boolean onlySignedUser)

  - ### getCommand

    public java.lang.String getCommand()

  - ### setCommand

    public void setCommand​(java.lang.String command)

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Overrides:
      `getGuiTitle` in class `IdTitle`
    Returns:
      Строка - представление объекта.